mesos-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Klaus Ma <klaus1982...@gmail.com>
Subject Re: mesos master 0.27.1 needs g++ to execute ?
Date Sun, 06 Mar 2016 13:17:15 GMT
Hi KR,

Can you share the error message?

----
Da (Klaus), Ma (马达) | PMP® | Advisory Software Engineer
Platform OpenSource Technology, STG, IBM GCG
+86-10-8245 4084 | klaus1982.cn@gmail.com | http://k82.me

On Sun, Mar 6, 2016 at 8:22 PM, kr di <krdi@outlook.com> wrote:

> I have dockerized amy compiled version of mesos master for version 0.25
> successfully.  In moving closer to production, I am upgrading to 0.27.1.
> However, in dockerizing 0.27.1, the mesos master seems to need g++ (plus a
> few libraries) to execute which was not the case with mesos 0.25.  I am not
> speaking of compiling mesos.  I successfully downloaded mesos tar file and
> compiled mesos (0.25 and 0.27.1) on RHEL 7.2.  Mesos master 0.27.1 runs
> without issues on my system with development tools.
>
>
>
> The issue is that I am hesitate to put development tools on a production
> system without understanding why g++ is needed. Could someone briefly
> explain why I need g++ to run mesos 0.27.1 (and maybe why mesos 0.25 did
> not require g++) to run? And whether there is a work-around to not having
> development tools (g++) for mesos master?
>
>
>
> Awesome software btw.
>
>
>
> Thank you,
>
>
>
> KR
>
>
>
> Sent from Mail <https://go.microsoft.com/fwlink/?LinkId=550986> for
> Windows 10
>
>
>

Mime
View raw message